SDLMAIN_DECLSPEC(3)

NAME
SDLMAIN_DECLSPEC - A macro to tag a main entry point function as exported.

SYNOPSIS
#include <SDL3/SDL_main.h>

#define SDLMAIN_DECLSPEC

DESCRIPTION
Most platforms don't need this, and the macro will be defined to nothing. Some, like Android, keep the entry points in a shared library and need to explicitly export the symbols.

External code rarely needs this, and if it needs something, it's almost always SDL_DECLSPEC instead.

AVAILABILITY
This macro is available since SDL 3.2.0.

SEE ALSO
SDL_DECLSPEC(3)